System.Web 2.0.0.0 System.Enum System.Flags

The enumeration represents the visibility and position of the scroll bars in a control. The property uses these enumeration values to specify the type of scroll bars to display in a control. The default value for the property is None, indicating that no scroll bars are shown.

If you specify Auto for the property, scroll bars are automatically shown when the size of the content in a control exceeds the size of the control. For example, if a control contains a table, and the panel is not wide enough to display all the rows in the table, a vertical scroll bar is shown. If the size of the table exceeds the height and width of the panel, both vertical and horizontal scroll bars are shown.

Specifies the visibility and position of scroll bars in a control.

- Field
  System.Web.UI.WebControls.ScrollBars

  Displays, horizontal, vertical, or both scroll bars as necessary. Otherwise, no scroll bars are shown.

  2.0.0.0
- Field
  System.Web.UI.WebControls.ScrollBars

  Displays both a horizontal and a vertical scroll bar.

  2.0.0.0
- Field
  System.Web.UI.WebControls.ScrollBars

  Displays only a horizontal scroll bar.

  2.0.0.0
- Field
  System.Web.UI.WebControls.ScrollBars

  Displays no scroll bars.

  2.0.0.0
- Field
  System.Web.UI.WebControls.ScrollBars

  Displays only a vertical scroll bar.

  2.0.0.0